HostingAddressbooks & contacts
Create addressbook
POST
/api/addressbooks/{code}Creates a new addressbook for an email account.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Path Parameters
code*string
Email account code: usually EA followed by 8 digits. Postmaster accounts use P followed by 9 digits. Examples: EA12345678, P123456789.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
Addressbook name.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/addressbooks/string" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"message": "string",
"resource_code": "string"
}{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}